<?php
  //Parent file, set access flag
  define('_ACCESS_', 1);

	/**
	 * <!-- elSQL - e-learn SQL -->
	 * 
   * \par Main admin index site
   * \file
   *
   * Main administrator site. Shows administrator login page.
   *
   * \author Stephan Schuetz, stephan.schuetz(at)fhnw.ch
   * \date 14.10.2007
   * \version 1.0
   *
   * (c) Copyright GITTA 2007. Creative Commons License "Attribution-Noncommercial-Share Alike"
	 *                           http://creativecommons.org/licenses/by-nc-sa/3.0/
   */
  
  @require_once('../conf/conf.inc.php');
  @require_once('../layout/layout.inc.php');
  @require_once('../language/language.inc.php');
  
  @require('../common/index.admin.class.php');
  
  $sUserName = '';
  $sPw = '';
  
  $bValuesReceived = false;

  if (isset($_GET['user']))
  {
    $sUserName = $_GET['user'];
  }

  if (isset($_POST['user']))
  {
    $sUserName = $_POST['user'];
    $bValuesReceived = true;
  }
  if (isset($_POST['pw']))
  {
    $sPw = $_POST['pw'];
    $bValuesReceived = true;
  }
	
  //Start output buffer
  ob_start();
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8"/>
<link rel="stylesheet" type="text/css" href="../layout/global.css"/>
<?php $pLayout->printTitle(_LOGINADMINTITLE); ?>
</head>
<body>
<h1><?php echo _LOGINADMINTITLE.' - elSQL '.$pConf['info']['title'] ?></h1>
<br />
<form method="post" action="index.php">
<?php echo _LOGINADMININFO ?>
<table>
  <tr>
    <td><?php echo _UNAME ?></td>
    <td><input type="text" name="user" maxlength="30"/></td>
  </tr>
  <tr>
    <td><?php echo _PASSWORD ?></td>
    <td><input type="password" name="pw" maxlength="30"/></td>
  </tr>
</table>
<input type="submit" value="<?php echo _LOGIN ?>"/>
</form>
<?php
	//Check if values are received
  if($bValuesReceived)
  {
    $pIndexAdmin = new indexadmin();
    
		//Check admin login
    if($pIndexAdmin->checkLogin($sUserName, $sPw))
		{
			//Clean output buffer
			ob_end_clean();
			//Change location
      header('Location: admin.php');
		}
  }
?>
<br />
<br />
<br />
<?php
  $pLayout->printFooter();
	
	//Flush output buffer
  ob_end_flush();
?>
</body>
</html>