<?php
  //No direct access
  defined('_ACCESS_') or die('Direct Access to this location is not allowed.');

	/**
	 * <!-- elSQL - e-learn SQL -->
   *
   * \class index
   *
   * Offers functionality for index.php.
   *
   * \author Stephan Schuetz, stephan.schuetz(at)fhnw.ch
   * \date 14.10.2007
   * \version 1.0
   *
   * (c) Copyright GITTA 2007. Creative Commons License "Attribution-Noncommercial-Share Alike"
	 *                           http://creativecommons.org/licenses/by-nc-sa/3.0/
   */

  class index
  {
    /**
     * Constructor
     */
    public function __construct()
    {
    }

    /**
     * Destructor
     */
    public function __destruct()
    {
    }

		/**
		 * Checks user login.
		 * \param $sEmail E-mail (=user name) of the user.
		 * \param $sPw Password to check.
		 * \return True on success (user is allowed to login), otherwise false.
		 */
    public function checkLogin($sEmail, $sPw)
    {
      @require_once('./database/db.inc.php');
      
      $sEmailEsc = $pDb->escapeString($sEmail);
      $sPw = $pDb->escapeString($sPw);
      
			//Get login data
      $pLoginData = $pDbCommands->getLoginData($pDb, $sEmailEsc);
      
      if(!$pLoginData)
        return false;
			
      if(sha1($sPw) != $pLoginData[3])
      {
        echo "<div class=\"error\">\n"._ERRPWFAILED."</div>\n";
        return false;
      }
      
			//Start session
      session_start();
      $_SESSION['s_sUserID'] = $pLoginData[0];
      $_SESSION['s_sLastName'] = $pLoginData[1];
      $_SESSION['s_sFirstName'] = $pLoginData[2];
      $_SESSION['s_sEmail'] = $sEmail;
      $_SESSION['s_sFieldOfStudy'] = $pLoginData[4];
      $_SESSION['s_sPw'] = sha1($sPw);
      session_write_close();
      
			//Set last login date
      $pDbCommands->setLastLoginDate($pDb, $sEmailEsc);
      
      return true;
    }
  }
?>