<?php
  //No direct access
  defined('_ACCESS_') or die('Direct Access to this location is not allowed.');

  /**
	 * <!-- elSQL - e-learn SQL -->
   *
   * \par English language file
   * \file
   *
   * \author Stephan Schuetz, stephan.schuetz(at)fhnw.ch
   * \date 14.10.2007
   * \version 1.0
   *
   * (c) Copyright GITTA 2007. Creative Commons License "Attribution-Noncommercial-Share Alike"
	 *                           http://creativecommons.org/licenses/by-nc-sa/3.0/
   */

  //Common
  DEFINE('_UNAME','User name:');
  DEFINE('_FNAME','First name:');
  DEFINE('_LNAME','Last name:');
  DEFINE('_EMAIL','E-mail adress:');
  DEFINE('_PASSWORD','Password:');
  DEFINE('_PASSWORDVALID','Password validation:');
  DEFINE('_EMAILCLOAKING','This e-mail address is being protected from spam bots, you need Javascript enabled to view it.');
  DEFINE('_CONTACTADMIN','Contact administrator');
  DEFINE('_SUBMIT','Submit');
  
  //Database
  DEFINE('_ERRCREATEUSER','Creating user failed. Perhaps this e-mail adress already exists. If you encounter further problems, please contact the administrator.');
  DEFINE('_ERRCREATETRAININGDATA','Training data could not be set up. Please contact the administrator.');
  DEFINE('_ERRCHANGEPW','Changing password failed. If you encounter further problems, please contact the administrator.');

  //Errors
  DEFINE('_ERRFNAME','Please enter your first name.');
  DEFINE('_ERRLNAME','Please enter your last name.');
  DEFINE('_ERRFIELDOFSTUDY','Please specify your field of study.');
  DEFINE('_ERREMAIL','Please enter your e-mail adress.');
  DEFINE('_ERREMAILVAL','Please enter a valid e-mail adress.');
  DEFINE('_ERRREGPW','Please enter the correct access password. Note: This is not a public application! If you are allowed to use, please contact the administrator in case of further problems.');
  DEFINE('_ERRPWBOTH','Please enter the password in both input fields.');
  DEFINE('_ERRPWVAL','Please reenter password, your two inputs do not correspond.');
  DEFINE('_ERRPWLENG','Please choose a password with at least six characters.');
  DEFINE('_ERRMAILUNKOWN','The specified user account (e-mail adress) is unknown.');
  DEFINE('_ERREMAILSEND','E-mail dispatch failed.');
  DEFINE('_ERRLOGINFAILED','Login failed!');
  DEFINE('_ERRPWFAILED','Your password does not match. Please retype.');
  DEFINE('_ERRQUERYFAILED','Your database query failed. Database error report: ');
  DEFINE('_ERRNOQUERY','No query defined.');
  DEFINE('_ERRPWCHANGEOLDPW','Password change failed, the old password is not valid.');
  DEFINE('_ERRPWCHANGE','Password change failed.');
  DEFINE('_ERRRESETDB','Resetting database failed.');
  DEFINE('_ERRCHANGEADMINPW','Administrator password change failed.');
  DEFINE('_ERRDROPUSER','Deleting user failed.');
  DEFINE('_ERRRESETALLDB','Reset of all user databases failed.');
  DEFINE('_ERRCREATEUSERTABLE','Showing registred users failed.');
  DEFINE('_ERRCHANGINGUSERFAILED','Changing user information failed.');
  DEFINE('_ERRRESETDBS','Reseting databases failed.');
  DEFINE('_ERRWRITECONFIGFILE','Configuration file could not be written.');
  DEFINE('_ERRSHOWDATAUSERDB','Showing the actual data base failed.');

  //Login form
  DEFINE('_LOGINTITLE','Login');
  DEFINE('_LOGININFO','Please enter your login-information below:');
  DEFINE('_LOGIN','Login');
  DEFINE('_NEWUSERINFO','If you are a new user, follow the link below to register.');
  DEFINE('_NEWUSER','New user');
  DEFINE('_LOSTPASSWORD','Lost password?');
  
  //New user form
  DEFINE('_USERREGTITLE','User registration');
  DEFINE('_USERREGINFO','Please enter your information below.<br />Note that your e-mail adress will also be your login name.');
  DEFINE('_FIELDOFSTUDY','Field of study:');
  DEFINE('_REGPASSWORD','Access password:');
  DEFINE('_REGISTER','Register');
  
  //Lost password form
  DEFINE('_LOSTPWTITLE','Lost password');
  DEFINE('_LOSTPWINFOSERVER','If you have lost your password, enter your e-mail adress below. You will receive an e-mail with your new password, which you can change after login.');
  DEFINE('_LOSTPWINFOADMIN','If you have lost your password, please contact the administrator (e-mail below). He will send you an e-mail with your new password. Note: Because of server limitations this is not done automatically, so please be patient with your administrator ;-).');
  DEFINE('_BACKTOLOGIN','Back to login');

  //Work form
  DEFINE('_WORKTITLE','SQL Worksheet');
  DEFINE('_SQLQUERY','SQL query');
  DEFINE('_SQLRESPONSE','SQL response');
  DEFINE('_SENDQUERY','Send query');
  DEFINE('_LOGOUT','Logout');
  DEFINE('_CREATELOG','Create Log');
  DEFINE('_SHOWALL','Show all results (be careful, large data sets possible)');
  DEFINE('_SUBSTATEMENT','Submitted statement');
  DEFINE('_RESULT','Result');
  DEFINE('_WORK', 'Work');
  DEFINE('_DATASET', 'Data Set');
  DEFINE('_LOG', 'Log');
  DEFINE('_SETTINGS', 'Settings');
  DEFINE('_INFORMATION', 'Information');
  DEFINE('_PRINTLOG', 'Print Log');
  DEFINE('_CLEARLOG', 'Clear Log');
  DEFINE('_NUMROWSSELECTED', 'rows selected.');
  DEFINE('_NUMROWSSELECTEDOF', 'of');
  DEFINE('_NUMROWSSELECTEDMAXEXCEED', 'The size of the result set has the limit of rows exceeded. Please refine your query.');
  DEFINE('_NUMROWSAFFECTED', 'rows affected.');
  DEFINE('_CHANGEPASSWORD', 'Change user password');
  DEFINE('_OLDPASSWORD', 'Old password:');
  DEFINE('_NEWPASSWORD', 'New password:');
  DEFINE('_NEWPASSWORD2', 'New password validation:');
  DEFINE('_CHANGEPW','Change password');
  DEFINE('_PWCHANGESUCCESS','Password successfully changed.');
  DEFINE('_ENVIRONMENT','Environment');
  DEFINE('_RESETDB','Reset database');
  DEFINE('_RESETDBEXPLANATION','Sets database to initial values. All user done changes will get lost. Be carefully, it can not be undone.');
  DEFINE('_RESETDBSUCCESS','Database successfully set to initial values.');
  DEFINE('_RESETDBCONFIRMATION','Do you really want to reset your database? All changes will get lost!');
  DEFINE('_CHANGEUSERINFO','Change user information');
  DEFINE('_CHANGEUSER','Change information');
  DEFINE('_CHANGEUSEREXPLANATION','You have to re-login to apply these settings.<br />The e-mail address can not be changed.');
  DEFINE('_CHANGINGUSERSUCCESS','User information successfully changed.');
  DEFINE('_SHOWACTDATA','Actual data base');
  DEFINE('_SHOWORIDATA','Original data base');
  DEFINE('_HINTDYNAMICVIEW','Note: To reload click on "'._SHOWACTDATA.'"!');

  //Mail messages
  DEFINE('_MAILNEWPWSUBJECT','New password');
  DEFINE('_MAILNEWPWMESSAGE',"Dear user,\nyou have generated a new passord for your elSQL account. You can change it after login (what we recommend).\nYour new password: ");
  DEFINE('_MAILNEWPWSALUTATION',"\n\nBest regards,\nyour elSQL administrator");
  
  //License
  DEFINE('_LICENSE','<b>elSQL - e-learn SQL</b><br />&copy; Copyright GITTA 2007.<br />Licensed under <a href="http://creativecommons.org/licenses/by-nc-sa/3.0/deed.en" target="_blank">Creative Commons License "Attribution-Noncommercial-Share Alike"</a>.<br /><br />elSQL uses <a href="http://dojotoolkit.org" target="_blank">Dojo</a> and <a href="http://qbnz.com/highlighter/" target="_blank">GeSHi</a> and has been initially developed by Stephan Schuetz.<br /><br />');
  
  //Admin login and panel
  DEFINE('_LOGINADMINTITLE','Administrator login');
  DEFINE('_LOGINADMININFO','Only the site administrator is allowed to use this login.');
  DEFINE('_ADMINTITLE','Administrator Panel');
  DEFINE('_ENVVARIABLES','Environment variables');
  DEFINE('_DATABASE','Database');
  DEFINE('_USERADMIN','User administration');
  DEFINE('_ERRADMINLOGINFAILED','Login failed. Please check user name and password.');
  DEFINE('_ADMIN','Administrator');
  DEFINE('_DATABASEPARAMS','Database parameters');
  DEFINE('_ELSQLPARAMS','elSQL parameters');
  DEFINE('_SYSTEM','System:');
  DEFINE('_HOST','Host:');
  DEFINE('_PORT','Port:');
  DEFINE('_INSTANCE','Instance:');
  DEFINE('_ADMINUSER','elSQL administrator user:');
  DEFINE('_ADMINPWOLD','Old elSQL administrator password (required to change password):');
  DEFINE('_ADMINPWNEW','New elSQL administrator password:');
  DEFINE('_ADMINPWNEWVALID','New elSQL administrator password validation:');
  DEFINE('_UNIVERSITY','University name:');
  DEFINE('_EMAILADMIN','E-mail administrator:');
  DEFINE('_LANGUAGE','Select frontend language:');
  DEFINE('_DATA','Select data:');
  DEFINE('_MAXNUMRESULTS','Maximum number of shown results:');
  DEFINE('_EMAILAVAILABLE','E-mail sending available (depends on server configuration):');
  DEFINE('_REGPW','Registration password (if empty no password is needed):');
  DEFINE('_ENVVARIABLESWARNING','<b>Attention:</b> You may corrupt your installation by changing these parameters. Be carefully!<br /><br />Note that the database is only affected by a password change. All other settings will only change the configuration file.');
  DEFINE('_UPDATEPARAMS','Update parameters');
  DEFINE('_RESETALLDB','Resetting all user databases');
  DEFINE('_SELECTALLUSER','Select all user');
  DEFINE('_DESELECTALLUSER','Deselect all user');
  DEFINE('_DELETEUSER','Delete user');
  DEFINE('_NAME','Name');
  DEFINE('_EMAIL2','E-mail adress');
  DEFINE('_FIELDOFSTUDY2','Field of study');
  DEFINE('_LASTLOGIN','Last login');
  DEFINE('_SETENVCONFIRM','Do you really want to set these environment variables?');
  DEFINE('_SETENVSUCCESS','Environment variables successfully changed.');
  DEFINE('_RESETALLDBSUCCESS','All user databases have been successfully reset.');
  DEFINE('_RESDBCONFIRM','Do you really want to reset all user databases? Be carefully, it can not be undone.');
  DEFINE('_DELUSERCONFIRM','Do you really want to delete this user: ');
  DEFINE('_EDITUSERCONFIRM','Do you really want to edit this user: ');
  DEFINE('_DELETE','delete');
  DEFINE('_EDIT','edit');
  DEFINE('_EDITUSER','Edit user');
  DEFINE('_GENERATEPW','Generate password');
  DEFINE('_USERNEWPW','Send user new password');
  DEFINE('_EMAILUSERNEWPWSUBJECT','elSQL: Your new password');
  DEFINE('_EMAILUSERNEWPW','Dear elSQL User,%0Abelow you will find your new password. You can change it after login.%0ABest regards, your elSQL administrator%0A%0APassword: ');
  DEFINE('_USEREMAIL','Send user e-mail');
  DEFINE('_SUBMITCHANGEUSER','Apply changes');
  DEFINE('_CANCELCHANGEUSER','Cancel');
  DEFINE('_RESETDBSCONFIRM','Do you really want to reset selected databases? This can not be undone!');
  DEFINE('_DELUSERSCONFIRM','Do you really want to delete selected users? This can not be undone!');
  DEFINE('_RESETDBSSUCCESS','Databases successfully reseted.');
  DEFINE('_NOSELECTION','No user selected, so there is nothing to be done.');
?>