<?php
  //No direct access
  defined('_ACCESS_') or die('Direct Access to this location is not allowed.');

  /**
	 * <!-- elSQL - e-learn SQL -->
   *
   * \par German language file
   * \file
   *
   * \author Stephan Schuetz, stephan.schuetz(at)fhnw.ch
   * \date 14.10.2007
   * \version 1.0
   *
   * (c) Copyright GITTA 2007. Creative Commons License "Attribution-Noncommercial-Share Alike"
	 *                           http://creativecommons.org/licenses/by-nc-sa/3.0/
   */

  //Common
  DEFINE('_UNAME','Benutzername:');
  DEFINE('_FNAME','Vorname:');
  DEFINE('_LNAME','Nachname:');
  DEFINE('_EMAIL','eMail-Adresse:');
  DEFINE('_PASSWORD','Passwort:');
  DEFINE('_PASSWORDVALID','Passwort Validierung:');
  DEFINE('_EMAILCLOAKING','Diese eMail-Adresse wurde gegen Spam-Bots geschützt. Um die Adresse zu sehen muss JavaScript aktiviert sein.');
  DEFINE('_CONTACTADMIN','Kontakt Administrator');
  DEFINE('_SUBMIT','Absenden');
  
  //Database
  DEFINE('_ERRCREATEUSER','Die Erstellung des Benutzers schlug fehl. Vielleicht existiert diese eMail-Adresse bereits. Falls das Problem weiterhin auftritt, kontaktiere bitte den Administrator.');
  DEFINE('_ERRCREATETRAININGDATA','DIe Trainingsdaten konnten nicht erstellt werden. Bitte kontaktiere den Administrator.');
  DEFINE('_ERRCHANGEPW','Der Passwortwechsel schlug fehl. Falls das Problem weiterhin auftritt, kontaktiere bitte den Administrator.');

  //Errors
  DEFINE('_ERRFNAME','Bitte gib deinen Vornnamen ein.');
  DEFINE('_ERRLNAME','Bitte gib deinen Nachnamen ein.');
  DEFINE('_ERRFIELDOFSTUDY','Bitte gib deine Studienrichtung ein.');
  DEFINE('_ERREMAIL','Du musst deine eMail-Adresse angeben.');
  DEFINE('_ERREMAILVAL','Du musst eine gültige eMail-Adresse angeben.');
  DEFINE('_ERRREGPW','Du musst das korrekte Zugangspasswort eingeben. Hinweis: Dies ist keine öffentliche Anwendung! Falls du berechtigt bist, die Anwendung zu nutzen, kontaktiere bitte den Administrator falls weitere Probleme auftreten.');
  DEFINE('_ERRPWBOTH','Du musst das Passwort in beiden Feldern eingeben.');
  DEFINE('_ERRPWVAL','Wiederhole die Passworteingabe. Deine beiden Eingaben stimmen nicht überein.');
  DEFINE('_ERRPWLENG','Bitte wähle ein Passwort mit mindestens sechs Zeichen.');
  DEFINE('_ERRMAILUNKOWN','Der angegebene Benutzer (eMail-Adresse) existiert nicht.');
  DEFINE('_ERREMAILSEND','Der eMailversand chlug fehl.');
  DEFINE('_ERRLOGINFAILED','Anmeldung fehlgeschlagen!');
  DEFINE('_ERRPWFAILED','Dein Passwort ist falsch. Gib es bitte nochmals ein.');
  DEFINE('_ERRQUERYFAILED','Deine Datenbank-Abfrage schlug fehl. Fehlermeldung der Datenbank: ');
  DEFINE('_ERRNOQUERY','Keine Abfrage definiert.');
  DEFINE('_ERRPWCHANGEOLDPW','Der Passwortwechsel schlug fehl, das alte Passwort ist nicht korrekt.');
  DEFINE('_ERRPWCHANGE','Der Passwortwechsel schlug fehl.');
  DEFINE('_ERRRESETDB','Das Zurücksetzen der Datenbank schlug fehl.');
  DEFINE('_ERRCHANGEADMINPW','Das Ändern des Administratorpasswortes schlug fehl.');
  DEFINE('_ERRDROPUSER','Das Löschen des Benutzers shclug fehl.');
  DEFINE('_ERRRESETALLDB','Das Zurücksetzen aller Benutzer-Datenbanken schlug fehl.');
  DEFINE('_ERRCREATEUSERTABLE','Das Anzeigen der registrierten Benutzer schlug fehl.');
  DEFINE('_ERRCHANGINGUSERFAILED','Das Ändern der Benutzerinformation schlug fehl.');
  DEFINE('_ERRRESETDBS','Das Zurücksetzen der Datenbanken schlug fehl.');
  DEFINE('_ERRADMINLOGINFAILED','Anmeldung fehlgeschlagen. Bitte Benutzername und Passwort überprüfen.');
  DEFINE('_ERRWRITECONFIGFILE','Die Konfigurationsdatei konnte nicht geschrieben werden.');
  DEFINE('_ERRSHOWDATAUSERDB','Die Darstellung des aktuellen Datenbestandes schlug fehl.');

  //Login form
  DEFINE('_LOGINTITLE','Benutzeranmeldung');
  DEFINE('_LOGININFO','Bitte gib unten deine Benutzername und das Passwort für das Anmelden ein:');
  DEFINE('_LOGIN','Einloggen');
  DEFINE('_NEWUSERINFO','Falls du ein neuer Benutzer bist, folge dem untenstehenden Link um dich zu registrieren.');
  DEFINE('_NEWUSER','Neuer Benutzer');
  DEFINE('_LOSTPASSWORD','Passwort vergessen?');
  
  //New user form
  DEFINE('_USERREGTITLE','Benutzerregistrierung');
  DEFINE('_USERREGINFO','Bitte gib deine Informationen unten ein.<br />Deine eMail-Adresse wird zugleich dein Benutzername sein.');
  DEFINE('_FIELDOFSTUDY','Studienrichtung:');
  DEFINE('_REGPASSWORD','Zugangspasswort:');
  DEFINE('_REGISTER','Registrierung durchführen');
  
  //Lost password form
  DEFINE('_LOSTPWTITLE','Vergessenes Passwort');
  DEFINE('_LOSTPWINFOSERVER','Falls du dein Passwort vergessen hast, gib unten deine eMail-Adresse ein. Anschliessend erhälst du ein eMail mit deinem neuen Passwort, welches du nach dem Einloggen ändern kannst.');
  DEFINE('_LOSTPWINFOADMIN','Falls du dein Passwort verloren hast, kontaktiere bitte den Administrator (die eMail-Adresse findest du unten). Er wird dir ein eMail mit deinem neuen Passwort senden, welches du nach dem Einloggen ändern kannst. Hinweis: Aufgrund von serverseitigen Einschränkungen ist es nicht möglich, diesen Schritt zu automatisieren. Sei bitte ein wenig geduldig mit deinem Administrator, er dankt es dir ;-).');
  DEFINE('_BACKTOLOGIN','Zurück zum Login');

  //Work form
  DEFINE('_WORKTITLE','SQL Arbeitsblatt');
  DEFINE('_SQLQUERY','SQL Abfrage');
  DEFINE('_SQLRESPONSE','SQL Antwort');
  DEFINE('_SENDQUERY','Sende Abfrage');
  DEFINE('_LOGOUT','Abmelden');
  DEFINE('_CREATELOG','Erstelle Protokoll');
  DEFINE('_SHOWALL','Zeige alle Resultate (Vorsicht: es sind grossen Datenmengen möglich)');
  DEFINE('_SUBSTATEMENT','Übermittelte Anweisung');
  DEFINE('_RESULT','Resultat');
  DEFINE('_WORK', 'Bearbeitung');
  DEFINE('_DATASET', 'Datensatz');
  DEFINE('_LOG', 'Protokoll');
  DEFINE('_SETTINGS', 'Einstellungen');
  DEFINE('_INFORMATION', 'Informationen');
  DEFINE('_PRINTLOG', 'Protokoll drucken');
  DEFINE('_CLEARLOG', 'Protokoll löschen');
  DEFINE('_NUMROWSSELECTED', 'Zeilen selektiert.');
  DEFINE('_NUMROWSSELECTEDOF', 'von');
  DEFINE('_NUMROWSSELECTEDMAXEXCEED', 'Die Grösse des Resultates hat die Anzahl zulässiger Zeilen überschritten. Du musst deine Abfrage verfeinern.');
  DEFINE('_NUMROWSAFFECTED', 'Zeilen betroffen.');
  DEFINE('_CHANGEPASSWORD', 'Passwort ändern');
  DEFINE('_OLDPASSWORD', 'Altes Passwort:');
  DEFINE('_NEWPASSWORD', 'Neues Passwort:');
  DEFINE('_NEWPASSWORD2', 'Validierung neues Passwort:');
  DEFINE('_CHANGEPW','Ändere Passwort');
  DEFINE('_PWCHANGESUCCESS','Passwort erfolgreich geändert.');
  DEFINE('_ENVIRONMENT','Umgebung');
  DEFINE('_RESETDB','Datenbank zurücksetzen');
  DEFINE('_RESETDBEXPLANATION',' Setzt die Datenbank auf die initialen Werte zurück. Alle von dir vorgenommenen Änderungen gehen verloren. Vorsicht: Dies kann nicht rückgängig gemacht werden.');
  DEFINE('_RESETDBSUCCESS','Datenbank erfolgreich zurückgesetzt.');
  DEFINE('_RESETDBCONFIRMATION','Willst du die Datenbank wirklich zurücksetzen? Alle Änderungen gehen verloren!');
  DEFINE('_CHANGEUSERINFO','Benutzerinformationen ändern');
  DEFINE('_CHANGEUSER','Benutzer ändern');
  DEFINE('_CHANGEUSEREXPLANATION','Du musst dich erneut einloggen um diese Änderungen zu aktivieren.<br />Die eMail-Adresse kann nicht verändert werden.');
  DEFINE('_CHANGINGUSERSUCCESS','Die Benutzerinformationen wurden erfolgreich geändert.');
  DEFINE('_SHOWACTDATA','Aktueller Datenbestand');
  DEFINE('_SHOWORIDATA','Original Datenbestand');
  DEFINE('_HINTDYNAMICVIEW','Hinweis: Zum neu laden bitte auf "'._SHOWACTDATA.'" klicken!');

  //Mail messages
  DEFINE('_MAILNEWPWSUBJECT','Neues Passwort');
  DEFINE('_MAILNEWPWMESSAGE',"Lieber Benutzer,\ndu hast ein neues Passwort für deinen Zugang zu elSQL angefordert. Das Passwort kannst du nach dem Einloggen ändern (dies wird dir auch empfohlen).\nDein neues Passwort: ");
  DEFINE('_MAILNEWPWSALUTATION',"\n\nFreundlich grüsst,\ndein elSQL Administrator");
  
  //License
  DEFINE('_LICENSE','<b>elSQL - e-learn SQL</b><br />&copy; Copyright GITTA 2007.<br />Lizenziert unter <a href="http://creativecommons.org/licenses/by-nc-sa/3.0/deed.de" target="_blank">Creative Commons License "Namensnennung-Keine kommerzielle Nutzung-Weitergabe unter gleichen Bedingungen"</a>.<br /><br />elSQL benutzt <a href="http://dojotoolkit.org" target="_blank">Dojo</a> und <a href="http://qbnz.com/highlighter/" target="_blank">GeSHi</a> und wurde anfangs von Stephan Schütz entwickelt.<br /><br />');
  
  //Admin login and panel
  DEFINE('_LOGINADMINTITLE','Administratoranmeldung');
  DEFINE('_LOGINADMININFO','Nur der Administrator hat die Befugnis, sich hier einzuloggen.');
  DEFINE('_ADMINTITLE','Administrations Konsole');
  DEFINE('_ENVVARIABLES','Umgebungsvariablen');
  DEFINE('_DATABASE','Datenbank');
  DEFINE('_USERADMIN','Benutzerverwaltung');
  DEFINE('_ADMIN','Administrator');
  DEFINE('_DATABASEPARAMS','Datenbank Parameter');
  DEFINE('_ELSQLPARAMS','elSQL Parameter');
  DEFINE('_SYSTEM','System:');
  DEFINE('_HOST','Host:');
  DEFINE('_PORT','Port:');
  DEFINE('_INSTANCE','Instanz:');
  DEFINE('_ADMINUSER','elSQL Administrator Benutzer:');
  DEFINE('_ADMINPWOLD','Altes elSQL Administrator Passwort (notwendig um Passwort zu ändern):');
  DEFINE('_ADMINPWNEW','Neues elSQL Administrator Passwort:');
  DEFINE('_ADMINPWNEWVALID','Validierung neues elSQL Administrator Passwort:');
  DEFINE('_UNIVERSITY','Name der Universität:');
  DEFINE('_EMAILADMIN','eMail-Adresse Administrator:');
  DEFINE('_LANGUAGE','Wähle Sprache:');
  DEFINE('_DATA','Wähle Datensatz:');
  DEFINE('_MAXNUMRESULTS','Maximale Anzahl Zeilen die im Resultat angezeigt werden:');
  DEFINE('_EMAILAVAILABLE','eMail Versand möglich (von der Serverkonfiguration abhängig):');
  DEFINE('_REGPW','Zugangspasswort (falls dieses Feld leer gelassen wird ist kein Passwort notwendig):');
  DEFINE('_ENVVARIABLESWARNING','<b>Achtung:</b> Mit der Änderung dieser Parameter kann die Installation unbrauchbar gemacht werden. Sei vorsichtig!<br /><br />Hinweis: Die Datenbank wird nur durch den Passwortwechsel beeinflusst. Alle anderen Einstellungen betreffen nur die Konfigurationsdatei.');
  DEFINE('_UPDATEPARAMS','Aktualisiere Parameter');
  DEFINE('_RESETALLDB','Setzte alle Benutzerdatenbanken zurück');
  DEFINE('_SELECTALLUSER','Wähle alle Benutzer aus');
  DEFINE('_DESELECTALLUSER','Wähle alle Benutzer ab');
  DEFINE('_DELETEUSER','Lösche Benutzer');
  DEFINE('_NAME','Name');
  DEFINE('_EMAIL2','eMail Adresse');
  DEFINE('_FIELDOFSTUDY2','Studienrichtung');
  DEFINE('_LASTLOGIN','Letztes Login');
  DEFINE('_SETENVCONFIRM','Willst du diese Umgebungsvariablen wirklich setzen?');
  DEFINE('_SETENVSUCCESS','Umgebungsvariablen erfolgreich geändert.');
  DEFINE('_RESETALLDBSUCCESS','Alle Benutzerdatenbanken wurden erfolgreich zurückgesetzt.');
  DEFINE('_RESDBCONFIRM','Willst du wirklich alle Datenbanken zurücksetzen? Dieser Schritt kann nicht rückgängig gemacht werden!');
  DEFINE('_DELUSERCONFIRM','Löschen des Benutzers: ');
  DEFINE('_EDITUSERCONFIRM','Bearbeitung des Benutzers:: ');
  DEFINE('_DELETE','löschen');
  DEFINE('_EDIT','bearbeiten');
  DEFINE('_EDITUSER','Benutzer bearbeiten');
  DEFINE('_GENERATEPW','Passwort generieren');
  DEFINE('_USERNEWPW','Sende Benutzer neues Passwort');
  DEFINE('_EMAILUSERNEWPWSUBJECT','elSQL: Dein neues Passwort');
  DEFINE('_EMAILUSERNEWPW','Lieber elSQL Benutzer,%0A untenstehend findest du dein neues Passwort. Nach dem Einloggen kannst du dieses ändern.%0AFreundlich grüsst, dein elSQL Administrator%0A%0APasswort: ');
  DEFINE('_USEREMAIL','Sende Benutzer eine eMail');
  DEFINE('_SUBMITCHANGEUSER','Änderungen ausführen');
  DEFINE('_CANCELCHANGEUSER','Abbrechen');
  DEFINE('_RESETDBSCONFIRM','Willst du wirklich die gewählten Datenbanken zurücksetzen? Dieser Schritt kann nicht rückgängig gemacht werden!');
  DEFINE('_DELUSERSCONFIRM','Willst du wirklich die gewählten Benutzer löschen? Dieser Schritt kann nicht rückgängig gemacht werden!');
  DEFINE('_RESETDBSSUCCESS','Datenbanken erfolgreich zurückgesetzt.');
  DEFINE('_NOSELECTION','Es wurde kein Benutzer ausgewählt, somit kann die gewünschte Aktion nicht durchgeführt werden.');
?>