<?php
  //No direct access
  defined('_ACCESS_') or die('Direct Access to this location is not allowed.');

	/**
	 * <!-- elSQL - e-learn SQL -->
   *
   * \class indexadmin
   *
   * Offers functionality for administrator index.php.
   *
   * \author Stephan Schuetz, stephan.schuetz(at)fhnw.ch
   * \date 14.10.2007
   * \version 1.0
   *
   * (c) Copyright GITTA 2007. Creative Commons License "Attribution-Noncommercial-Share Alike"
	 *                           http://creativecommons.org/licenses/by-nc-sa/3.0/
   */

  class indexadmin
  {
    /**
     * Constructor
     */
    public function __construct()
    {
    }

    /**
     * Destructor
     */
    public function __destruct()
    {
    }
    
		/**
		 * Checks administrator login.
		 * \param $sUserName User name to check.
		 * \param $sPw Password to check.
		 * \return True on success (user is allowed to login), otherwise false.
		 */
    public function checkLogin($sUserName, $sPw)
    {
      @require_once(dirname(__FILE__).'/../conf/conf.inc.php');
      
      global $pConf;
      
      if(($pConf['database']['user'] != $sUserName) || ($pConf['database']['password'] != $sPw))
      {
        echo "<div class=\"error\">\n"._ERRADMINLOGINFAILED."</div>\n";
        return false;
      }
      
			//Create session
      session_start();
      $_SESSION['s_sUserID'] = sha1($sUserName.$sPw);
      session_write_close();
      
      return true;
    }
  }
?>