<?php
  //Parent file, set access flag
  define('_ACCESS_', 1);
	
	/**
	 * <!-- elSQL - e-learn SQL -->
	 * 
   * \par Main user index site
   * \file
   *
   * Main user site. Shows login page and contains links to create a new account
   * and to get a new password.
   *
   * \author Stephan Schuetz, stephan.schuetz(at)fhnw.ch
   * \date 14.10.2007
   * \version 1.0
   *
   * (c) Copyright GITTA 2007. Creative Commons License "Attribution-Noncommercial-Share Alike"
	 *                           http://creativecommons.org/licenses/by-nc-sa/3.0/
   */
  
  @require_once('./conf/conf.inc.php');
  @require_once('./layout/layout.inc.php');
  @require_once('./language/language.inc.php');
  
  @require('./common/index.class.php');
  
  $sUserName = '';
  $sPw = '';
  
  $bValuesReceived = false;

  if (isset($_GET['user']))
  {
    $sUserName = $_GET['user'];
  }

  if (isset($_POST['user']))
  {
    $sUserName = $_POST['user'];
    $bValuesReceived = true;
  }
  if (isset($_POST['pw']))
  {
    $sPw = $_POST['pw'];
    $bValuesReceived = true;
  }
  
  //Start output buffer
  ob_start();
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8"/>
<link rel="stylesheet" type="text/css" href="./layout/global.css"/>
<?php $pLayout->printTitle(_LOGINTITLE); ?>
</head>
<body>
<h1><?php echo _LOGINTITLE.' - elSQL '.$pConf['info']['title'] ?></h1>
<br />
<form method="post" action="index.php">
<?php echo _LOGININFO ?>
<table>
  <tr>
    <td><?php echo _UNAME ?></td>
    <td><input type="text" name="user" maxlength="30" <?php $sUserName ? print 'value="'.$sUserName.'"' : print ''; ?>/></td>
  </tr>
  <tr>
    <td><?php echo _PASSWORD ?></td>
    <td><input type="password" name="pw" maxlength="30"/></td>
  </tr>
</table>
<input type="submit" value="<?php echo _LOGIN ?>"/>
</form>
<?php
  if($bValuesReceived)
  {
    $pIndex = new index();

    if($pIndex->checkLogin($sUserName, $sPw))
    {
      //Clean output buffer
      ob_end_clean();
      //Change location
      header('Location: work.php');
    }
  }
?>
<br />
<br />
<br />
<div class="lostpw">
  <a href="lostpw.php"><?php echo _LOSTPASSWORD ?></a>
</div>
<div class="newuser">
  <?php echo _NEWUSERINFO ?><br />
  <a href="newuser.php"><?php echo _NEWUSER ?></a>
</div>
<?php
  $pLayout->printFooter();
  
  //Flush output buffer
  ob_end_flush();
?>
</body>
</html>